#!/bin/bash -ex

WORKDIR="`pwd`"
BASEDIR=${WORKDIR%/*}  # 一つ上のディレクトリの場所を得る
tempdir1="`mktemp -d "${BASEDIR}/tmp.mountall.1.XXXXXXXXXX"`"
tempdir2="`mktemp -d "${BASEDIR}/tmp.mountall.2.XXXXXXXXXX"`"
cd "${tempdir1}"

apt-get update
apt-get source mountall
apt-get build-dep mountall

cd mountall-*

src_name="${PWD##*/}"
src_ver=$(echo ${src_name}|tr -cd '0-9.')
src_ver_mjr=${src_ver:0:1}
patchfile="$(eval ls "${BASEDIR}/patches/mountall-${src_ver_mjr}*_enable-rootfsroot.patch")"

patch -p1 < "${patchfile}"

dpkg-buildpackage -rfakeroot -uc -nc

cd "${tempdir1}"

dpkg -x mountall_*_i386.deb "${tempdir2}"

cd "${tempdir2}"

"${BASEDIR}/utl/copy-execfile-to-newroot.sh" sbin/mountall  "${WORKDIR}"

rm -rf "${tempdir1}"
rm -rf "${tempdir2}"
